package com.fastest.pass.splash.presentation.components

import android.widget.Toast
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.livedata.observeAsState
import androidx.compose.ui.platform.LocalContext
import com.fastest.pass.splash.presentation.viewmodels.SplashViewModel

@Composable
fun SplashScreen(viewModel: SplashViewModel) {

    val navigateToLogin by viewModel.navigateToLogin.observeAsState()
    val context = LocalContext.current

    LaunchedEffect(key1 = true) {
        viewModel.checkAuthentication()
    }

    if (navigateToLogin == true) {
        Toast.makeText(context, "Login", Toast.LENGTH_SHORT).show()
    } else {
        Text(text = "Splash")
    }

}